unison_exe="/usr/bin/unison"
tmp_file=$(mktemp)

for profile in $@;
do
	res=$(${unison_exe} -batch $profile > ${tmp_file} 2>&1)
	grep "Nothing to do: replicas have not changed since last sync" ${tmp_file} > /dev/null
	file_sync=$?
	
	if [ ! $file_sync == 0 ];
	then
		echo $(more ${tmp_file})
	fi
done
